import { useResource } from "@/modules/resource";
import { Image, List, Loadmore } from "@queenjs/ui";
import { Radio } from "ant-design-vue";
import { defineComponent } from "vue";

export const MySources = defineComponent({
  setup() {
    const resource = useResource();
    const matListCtrl = resource.controls.materialImageListCtrl;
    matListCtrl.hasLimit = true;
    matListCtrl.loadPage(1);

    return () => (
      <div class="scrollbar">
        <Radio.Group>
          <Radio.Button>图片</Radio.Button>
          <Radio.Button>视频</Radio.Button>
        </Radio.Group>

        <List data={matListCtrl.state.list} columns={2} gap="20px">
          {{
            item(item: any) {
              return (
                <div style={{ aspectRatio: 1 }}>
                  <Image class="w-full h-full" src={item.file.url} size={240} />
                </div>
              );
            },
            loadmore() {
              return (
                <Loadmore
                  loading={matListCtrl.state.loading}
                  canLoad={matListCtrl.state.canLoadNext}
                  onChange={matListCtrl.loadNextPage}
                />
              );
            },
          }}
        </List>
      </div>
    );
  },
});
